Bug 250340 - Review Request: perl-ExtUtils-F77 - Simple interface to F77 libs
Review Request: perl-ExtUtils-F77 - Simple interface to F77 libs
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-31 18:07 EDT by Orion Poplawski
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-02 11:30:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2007-07-31 18:07:40 EDT
Spec URL: http://www.cora.nwra.com/~orion/fedora/perl-ExtUtils-F77.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/perl-ExtUtils-F77-1.16-1.src.rpm
Description:
This module tries to figure out how to link C programs with Fortran
subroutines on your system. Basically one must add a list of Fortran
runtime libraries. The problem is their location and name varies with each
OS/compiler combination!
Comment 1 Parag AN(पराग) 2007-08-01 04:28:10 EDT
mock build failed

+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/require....
ExtUtils::F77: Version 1.16
Use of uninitialized value in pattern match (m//) at
/builddir/build/BUILD/ExtUtils-F77-1.16/blib/lib/ExtUtils/F77.pm line 251.
Can't exec "g77": No such file or directory at
/builddir/build/BUILD/ExtUtils-F77-1.16/blib/lib/ExtUtils/F77.pm line 176.
Use of uninitialized value in scalar chomp at
/builddir/build/BUILD/ExtUtils-F77-1.16/blib/lib/ExtUtils/F77.pm line 177.
Can't exec "g77": No such file or directory at
/builddir/build/BUILD/ExtUtils-F77-1.16/blib/lib/ExtUtils/F77.pm line 176.
Use of uninitialized value in scalar chomp at
/builddir/build/BUILD/ExtUtils-F77-1.16/blib/lib/ExtUtils/F77.pm line 177.
Can't exec "g77": No such file or directory at
/builddir/build/BUILD/ExtUtils-F77-1.16/blib/lib/ExtUtils/F77.pm line 176.
Use of uninitialized value in scalar chomp at
/builddir/build/BUILD/ExtUtils-F77-1.16/blib/lib/ExtUtils/F77.pm line 177.
Can't exec "g77": No such file or directory at
/builddir/build/BUILD/ExtUtils-F77-1.16/blib/lib/ExtUtils/F77.pm line 176.
Use of uninitialized value in scalar chomp at
/builddir/build/BUILD/ExtUtils-F77-1.16/blib/lib/ExtUtils/F77.pm line 177.
Can't exec "f77": No such file or directory at t/require.t line 28.
FAILED test 2
        Failed 1/2 tests, 50.00% okay
Failed Test Stat Wstat Total Fail  Failed  List of Failed
-------------------------------------------------------------------------------
t/require.t                2    1  50.00%  2
Failed 1/1 test scripts, 0.00% okay. 1/2 subtests failed, 50.00% okay.
make: *** [test_dynamic] Error 255
error: Bad exit status from /var/tmp/rpm-tmp.33023 (%check)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.33023 (%check)
Comment 2 Orion Poplawski 2007-08-01 11:16:55 EDT
Whoops:

* Wed Aug  1 2007 Orion Poplawski 1.16-2
- Add BR: gcc-gfortran

http://www.cora.nwra.com/~orion/fedora/perl-ExtUtils-F77.spec
http://www.cora.nwra.com/~orion/fedora/perl-ExtUtils-F77-1.16-2.src.rpm
Comment 3 Jason Tibbitts 2007-08-01 17:56:43 EDT
Not much to say.

* source files match upstream:
   d3dfed878678495bbd1054d78ad100ddd3df59cbc8a2ce550dae9cd2e989b84c  
   ExtUtils-F77-1.16.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package (or at least the COPYING file is).
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   perl(ExtUtils::F77) = 1.16
   perl-ExtUtils-F77 = 1.16-2.fc8
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Config)
   perl(File::Spec)
* %check is present and all tests pass:
   All tests successful.
   Files=1, Tests=2,  0 wallclock secs ( 0.02 cusr +  0.03 csys =  0.05 CPU)
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 4 Orion Poplawski 2007-08-01 18:33:54 EDT
Thanks for the review!

New Package CVS Request
=======================
Package Name: perl-ExtUtils-F77
Short Description: Simple interface to F77 libs
Owners: orion@cora.nwra.com
Branches: F-7 FC-6 EL-5 EL-4
InitialCC: 
Comment 5 Kevin Fenzi 2007-08-01 22:06:47 EDT
cvs done.
Comment 6 Orion Poplawski 2007-08-02 11:30:49 EDT
Imported and built.

Note You need to log in before you can comment on or make changes to this bug.